diff --git a/debian/changelog b/debian/changelog
index 5113aac..9921bbc 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,5 +1,6 @@
 debhelper (9.20150508) UNRELEASED; urgency=medium
 
+  [ Niels Thykier ]
   * Buildsystem.pm: Apply patch from Emmanuel Bourg to
     provide doit_in_{build,source}dir_noerror methods.
     (Closes: #785811)
@@ -9,6 +10,10 @@ debhelper (9.20150508) UNRELEASED; urgency=medium
     ".xhtml" files and to use a POSIX compliant find expression.
     (Closes: #740405)
 
+  [ Thibaut Paumard ]
+  * Bug fix: "dh_usrlocal leaves directories behind", thanks to Andreas
+    Beckmann (Closes: #788098).
+
  -- Niels Thykier <niels@thykier.net>  Wed, 20 May 2015 21:53:08 +0200
 
 debhelper (9.20150507) unstable; urgency=medium
diff --git a/dh_usrlocal b/dh_usrlocal
index 193d70d..b21d11f 100755
--- a/dh_usrlocal
+++ b/dh_usrlocal
@@ -103,7 +103,7 @@ foreach my $package (@{$dh{DOPACKAGES}}) {
 		# is parsed by the shell in double-quotes
 		my $dirs = join("$ebs\n", sort @dirs);
 		pop @justdirs; # don't remove directories directly in /usr/local
-		my $justdirs = join("$ebs\n", sort @justdirs);
+		my $justdirs = join("$ebs\n", reverse sort @justdirs);
 		if (! $dh{NOSCRIPTS}) { 
 			autoscript($package,"postinst", "postinst-usrlocal",
 				   "/#DIRS#/ c${ebs}\n${dirs}");
